Vulnerabilità: CVE-2019-16409

Nel modulo con versione di file attraverso 2.0.3 per SilverStripe 3.x, versioni inedite di file sono pubblicamente esposti a chiunque possa intuire il loro URL. Questa ipotesi potrebbe essere altamente informato da una conoscenza di base del codice sorgente Symbiote / silverstripe-versionedfiles. (Gli utenti che aggiornano da SilverStripe 3.x alla 4.x e aveva con versione dei file installati non hanno più bisogno di questo modulo, perché il rilascio 4.x è dotato di versioni. Tuttavia, nulla nel processo di aggiornamento automatizza la distruzione di questi manufatti insicuri, né avvisa l’utente alla criticità di distruzione.)


https://www.silverstripe.org/download/security-releases/cve-2019-16409
https://github.com/silverstripe/silverstripe-framework
https://github.com/symbiote/silverstripe-versionedfiles
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-16409


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi